# studio::IPC Class Reference

`#include <ipc.h>`

List of all members.

## Public Member Functions

| IPC ()
| ~IPC ()

## Static Public Member Functions

static synfig::String | fifo_path ()
static synfig::SmartFILE | make_connection ()
static bool | process_command (const synfig::String &cmd)

## Constructor & Destructor Documentation

IPC::IPC | ( |  | ) |

References synfigapp::Action::create(), and fifo_path().

IPC::~IPC | ( |  | ) |

References fifo_path().

## Member Function Documentation

synfig::String IPC::fifo_path | ( |  | ) | `[static]`

References studio::App::get_user_app_directory().

Referenced by IPC(), make_connection(), and ~IPC().

synfig::SmartFILE IPC::make_connection | ( |  | ) | `[static]`

References fifo_path().

bool IPC::process_command | ( | const synfig::String & | cmd | ) | `[static]`

References studio::App::new_instance(), studio::App::open(), studio::App::quit(), and studio::App::signal_present_all().

The documentation for this class was generated from the following files:

- ipc.h
- ipc.cpp